<?php
/**
 * Arquivo de declaração da classe Model.
 */
class Model
{
    protected $select = array();

    /**
     * Método construtor.
     */
    public function __construct()
    {
    }

    /**
     * Método para o select.
     *
     * @param  array  $data
     */
    public function select($data = array())
    {
        if (count($data)) {
            foreach ($data as $campo) {
                if (null != $campo) {
                    $this->select[] = trim(strip_tags($campo));
                }
            }
        }

        return $this;
    }

    /**
     * Método para retornar os campos selecionados.
     *
     * @return string
     */
    public function getSelect()
    {
        $select = $this->select;

        $this->select = null;
        
        if ($select) { 
            return count($select) ? implode(', ', $select) : '*';
        } else {
            return '*';
        }
        
    }
}
